r8735: added NBT and WINS testing to 'make test' so we will know if it breaks again
authorAndrew Tridgell <tridge@samba.org>
Sun, 24 Jul 2005 12:24:34 +0000 (12:24 +0000)
committerGerald (Jerry) Carter <jerry@samba.org>
Wed, 10 Oct 2007 18:30:00 +0000 (13:30 -0500)
(This used to be commit 519812a9e8da777e4dff1dec22bd8a96c05c50c9)

source4/script/tests/selftest.sh
source4/script/tests/test_nbt.sh [new file with mode: 0755]
source4/script/tests/tests_all.sh
source4/script/tests/tests_quick.sh

index 673e6a06a8f1df0893f5b4541aeef0d4bc14e898..0420cefceb6e36e0d1c7268623a6ff850248d1b6 100755 (executable)
@@ -93,6 +93,7 @@ cat >$CONFFILE<<EOF
        interfaces = lo*
        tls enabled = $TLS_ENABLED
        panic action = $SRCDIR/script/gdb_backtrace %PID% %PROG%
+       wins support = yes
 
 [tmp]
        path = $TMPDIR
diff --git a/source4/script/tests/test_nbt.sh b/source4/script/tests/test_nbt.sh
new file mode 100755 (executable)
index 0000000..23a04cf
--- /dev/null
@@ -0,0 +1,23 @@
+#!/bin/sh
+# test some NBT/WINS operations
+
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: test_nbt.sh SERVER
+EOF
+exit 1;
+fi
+
+SERVER="$1"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+SCRIPTDIR=../testprogs/ejs
+
+PATH=bin:$PATH
+export PATH
+
+for f in NBT-REGISTER NBT-WINS; do
+    testit "$f" bin/smbtorture $TORTURE_OPTIONS //$SERVER/_none_ $f || failed=`expr $failed + 1`
+done
index 2083abe7962ee2a159719cf7e700014afc79e37f..41c711b50bf9c9a615cfea0557098d1cae3caee9 100644 (file)
@@ -1,5 +1,6 @@
  $SRCDIR/script/tests/test_ejs.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_ldap.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_nbt.sh localhost || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_quick.sh //localhost/cifs $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_rpc.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
  $SRCDIR/script/tests/test_session_key.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
index b4b67eebd478773ab3958dfaa193b7c4a96c0a58..e03b1e00cea87b7ae38e3c350a220f9723d17e58 100644 (file)
@@ -1,3 +1,5 @@
 $SRCDIR/script/tests/test_ejs.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
 $SRCDIR/script/tests/test_ldap.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
+$SRCDIR/script/tests/test_nbt.sh localhost || failed=`expr $failed + $?`
 $SRCDIR/script/tests/test_quick.sh //localhost/cifs $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+